Summary: An extensible window manager for the X Window System.
Name: sawmill
Version: 0.24
Release: 3
Requires: librep >= 0.10, rep-gtk >= 0.8
Copyright: GPL
Group: User Interface/Desktops
Source: ftp://sawmill.sourceforge.net/pub/sawmill/sawmill-%{version}.tar.gz
URL: http://sawmill.sourceforge.net/
Buildroot: /var/tmp/%{name}-root
Provides: windowmanager

%description
Sawmill is an extensible window manager which uses a Lisp-based
scripting language.  All window decorations are configurable and the
basic idea is to have as much user-interface policy as possible
controlled through the Lisp language.  Configuration can be
accomplished by writing Lisp code in a personal .sawmillrc file, or
using a GTK+ interface.  Sawmill is mostly GNOME compliant; if you
want to use it with GNOME, you'll need to install sawmill-gnome as
well..

%package gnome
Summary: GNOME support for the sawmill window manager.
Group: User Interface/Desktops
Requires: %{name}

%description gnome
The sawmill-gnome package includes GNOME support for the sawmill
window manager, including a GNOME control center applet. If you want
to use sawmill with the GNOME GUI desktop, you'll need to install this
package as well as the sawmill package.

%package themer
Summary: A GUI for creating sawmill window manager themes.
Group: User Interface/Desktops
Requires: %{name}, rep-gtk-libglade

%description themer
The sawmill-themer package contains an optional theme builder for the
sawmill window manager. Sawmill-themer allows static window themes to
be created and edited in a graphical environment.

%prep
%setup -q

%build
./configure --enable-capplet --enable-themer --with-readline \
  --prefix %{_prefix} %{_host}
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/gnome/wm-properties
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/control-center
make prefix=$RPM_BUILD_ROOT%{_prefix} install
gzip -9nf $RPM_BUILD_ROOT%{_prefix}/info/sawmill*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS FAQ TODO
%{_prefix}/bin/sawmill
%{_prefix}/bin/sawmill-client
%{_prefix}/bin/sawmill-ui
%{_prefix}/share/sawmill/%{version}
%{_prefix}/libexec/sawmill/%{version}/%{_host}
%{_prefix}/info/sawmill*

%files gnome
%defattr(-,root,root)
%{_prefix}/bin/sawmill-capplet
%{_prefix}/share/control-center/Sawmill
%{_prefix}/share/gnome/wm-properties/Sawmill.desktop

%files themer
%defattr(-,root,root)
%{_prefix}/bin/sawmill-themer
%{_prefix}/share/sawmill/%{version}/themer.glade

%changelog
* Thu Feb 17 2000 Cristian Gafton <gafton@redhat.com>
- add %clean
- fix stupid useless defines at the start of the spec file.
- setup is -q

* Tue Feb 15 2000 Preston Brown <pbrown@redhat.com>
- provides windowmanager

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- update to 0.24

* Mon Jan 31 2000 Bill Nottingham <notting@redhat.com>
- update to 0.23

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- update to 0.22

* Tue Jan 11 2000 Bill Nottingham <notting@redhat.com>
- make that 0.21.1

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- update to 0.21

* Wed Nov 17 1999 Michael K. Johnson <johnsonm@redhat.com>
- Use John's REP_GTK_DONT_INITIALIZE patch

* Fri Nov 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- use Xvfb so that rep can compile .jl's that require gtk

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- don't patch the Makefile

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.6 spec file update: added buildroot
